<?php
	/* WebWall */
	define("ADMIN", 1);
	require_once '../core.php';
	checkuserloggedoff();
	define("IN_TAB", "tab-[4]", true);
	$page = text_filter($_GET["page"], 1);
	$user = text_filter(ucfirst(strtolower($_GET["user"])), 1);
	if($page == "") $page = 0;
	
	if($engine_session->getuserrights("ADM") || $engine_session->getuserrights("MOD") && $engine_session->getuserrights("FREE_HM_ACCESS"))
	{
		$template_session->setparameter("serializeHmTabs", $admin_session->serializehmtabs(''.IN_TAB.''), true);
		$template_session->setparameter("serializeHmUsers", $admin_session->serializehmusers($page, $user), true);
		$template_session->loadhead($template_session->getlangval(333));
		$template_session->loadlogo(); 
		$template_session->loadmenu(); 
		if($engine_session->getuserrights("VIEW_USERS"))
		{
			$template_session->loadtpl("hm_users");
		}
		else
		{
			$template_session->loadtpl("hm_permission");
		}
		$template_session->addline("</div>");
		$template_session->addline("</div>"); 
		$template_session->loadtpl("footer");
		$template_session->loadend();
	}
	else
	{
		$engine_session->headerin();
	}
?>